<?php

class SearchAds{
	private $active,$position,$topstyle,$bottomstyle,$adcode;
	private $trafficsources= array();

	function __construct(){
		$this->getOptions();
	}
	function isActive(){
		return $this->active;
	}
	function add_ads($content){
		if(!is_page()){
		if('Top'==$this->position )
			return '<div class="searchadtop">'.$this->adcode.'</div>'.$content;
		else if('Bottom'==$this->position)
			return $content.'<div class="searchadbottom">'.$this->adcode.'</div><div style="clear:both;"></div>';
		else
			return '<div class="searchadtop">'.$this->adcode.'</div>'.$content.'<div class="searchadbottom">'.$this->adcode.'</div><div style="clear:both;"></div>';
		}else
			return $content;
	}
	function displayAds($domain){
		return in_array($domain,$this->trafficsources);		
	}
	function admin_settings(){
		$this->getOptions();
		if (isset($_POST['action'])) {
			if(isset($_POST['active']))
			$this->active=true;
			else
			$this->active=false;
			$this->position=$_POST['position'];
			$this->topstyle=$_POST['topstyle'];
			$this->bottomstyle=$_POST['bottomstyle'];
			$this->adcode=$_POST['adcode'];
			$temp=$_POST['trafficsources'];
			$temp=str_replace("\r",",",$temp);
			$temp=str_replace("\n",",",$temp);
			$temp=str_replace(",,",",",$temp);
			$temp=trim($temp,",");
			$this->trafficsources= explode(',',$temp);
			$this->saveOptions();
		}else{
				
		}
	}
	private function getOptions(){
		$options=array();
		$temp = get_option('search_ads_options');
		if(empty($temp)){
			$options['active']=true;
			$options['position']='Top';
			$options['topstyle']='border:solid 2px #000;padding:10px 10px 10px 10px;';
			$options['bottomstyle']='';
			$options['adcode']='<p><strong>Welcome visitor to my site</strong></p>';
			$options['trafficsources']=array('google.*','bing.com','search.live.com','search.msn.com','search.yahoo.com','ask.com','aol.com');
		}else
		foreach($temp as $key => $value)
			$options[$key]=$value;
		$this->active=(bool)$options['active'];
		$this->position=$options['position'];
		$this->topstyle=$options['topstyle'];
		$this->bottomstyle=$options['bottomstyle'];
		$this->adcode=stripslashes(urldecode($options['adcode']));
		$this->trafficsources=$options['trafficsources'];
	}
	private function saveOptions(){
		$options = array();
		$options['active']=	$this->active;
		$options['position']=$this->position;
		$options['topstyle']=$this->topstyle;
		$options['bottomstyle']=$this->bottomstyle;
		$options['adcode']=urlencode($this->adcode);
		$options['trafficsources']=$this->trafficsources;
		update_option('search_ads_options', $options);
	}
	function print_style(){
		$style;
		if($this->position=='Top' || $this->position=='Both')
			$style='.searchadtop{'.$this->topstyle.'}';
		if($this->position=='Bottom' || $this->position=='Both')
			$style=$style.' .searchadbottom{'.$this->bottomstyle.'}';
		$style='<style>'.$style.'</style>';
		echo $style;
	}
	function print_options_page(){
		$this->admin_settings();
		?>
<div class="wrap">
<h2>Search Ads</h2>

<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>"><?php wp_nonce_field('update-options'); ?>

<table class="form-table">
	<tr valign="top">
		<th scope="row"><label for="active">Active:</label></th>
		<td><input type="checkbox" id="active" name="active"
		<?php if($this->active) echo 'checked="checked"'; ?> value="1" /></td>
	</tr>
</table>
<h3>Design</h3>
<table class="form-table">
	<tr valign="top">
		<th><label for="position">Position:</label></th>
		<td><select id="postion" name="position">
			<option
			<?php if('Top'==$this->position) echo 'selected="selected"'; ?>>Top</option>
			<option
			<?php if('Bottom'==$this->position) echo 'selected="selected"'; ?>>Bottom</option>
			<option
			<?php if('Both'==$this->position) echo 'selected="selected"'; ?>>Both</option>
		</select>
	
	</tr>
	<tr valign="top">
		<th scope="row"><label for="topstyle">Top position style:</label></th>
		<td><input type="text" id="topstyle" name="topstyle"
			value="<?php echo $this->topstyle; ?>" /></td>
	</tr>
	<tr valign="top">
		<th scope="row"><label for="bottomstyle">Bottom position style:</label></th>
		<td><input type="text" name="bottomstyle"
			value="<?php echo $this->bottomstyle; ?>" /></td>
	</tr>
</table>
<h3>Adcode</h3>
<p>Put javascript or html used for the ad in the text area below.</p>
<table class="form-table">
	<tr valign="top">
		<td colspan="2"><textarea rows="5" style="width: 390px" id="adcode"
			name="adcode"><?php echo stripslashes($this->adcode); ?></textarea></td>
	</tr>
</table>
<h3>Traffic sources</h3>
<table class="form-table" style="width: 600px">
	<tr>
		<th><label for="trafficsources">(example.com, only one domain per line):</label></th>
		<td><textarea rows="10" name="trafficsources"><?php foreach($this->trafficsources as $source) echo $source,"\r\n"; ?></textarea></td>
	</tr>
</table>
<input type="hidden" name="action" value="update" />
<p class="submit"><input type="submit" class="button-primary"
	id="update_searchads" value="<?php _e('Save Changes') ?>" /></p>

</form>
</div>
			<?php
	}
}
?>